Summary: Threaded News Reader
Name: trn
Version: 3.6
Release: 13
Copyright: distributable
Group: Applications/News
Source0:  ftp://ftp.uu.net:/networking/news/readers/trn/trn-3.6.tar.gz
Source1: trn.wmconfig
Patch0: trn-3.6-linux.patch
Patch1: trn-3.6-sigtstp.patch
Patch2: trn-3.6-make.patch
Summary(de): News-Reader mit Thread-Funktion
Summary(fr): Lecteur de news avec fils de discussion
Summary(tr): Haber grubu okuyucu
Buildroot: /var/tmp/trn-root

%description
`trn' is one of the original threaded news readers.  this version is
configured to read news from an NNTP news server.

%description -l de
`trn' ist einer der ersten News-Reader mit Threads. Diese Version ist
fr einen NNTP.News-Server konfiguriert.

%description -l fr
trn est l'un des premiers lecteurs de news avec fils de discussion.
Cette version est configure pour lire les articles sur un serveur NNTP.

%description -l tr
trn, zgn haber grubu okuyuculardan biridir.

%prep
%setup -q 
%patch0 -p1 -b .linux
%patch1 -p1 -b .sigstp
%patch2 -p1 -b .make

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin/
mkdir -p $RPM_BUILD_ROOT/usr/lib/trn
mkdir -p $RPM_BUILD_ROOT/usr/man/man1/

chmod 755 filexp
chmod 755 makedir

make install RPM_INSTALL=$RPM_BUILD_ROOT

chmod 755 $RPM_BUILD_ROOT/usr/bin/*
chmod 755 $RPM_BUILD_ROOT/usr/lib/*

mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
cp $RPM_SOURCE_DIR/trn.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/trn

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README INSTALL MANIFEST HINTS.TRN HACKERSGUIDE NEW
/usr/bin/trn
/usr/bin/newsetup
/usr/bin/newsgroups
/usr/bin/Pnews
/usr/bin/Rnmail
/usr/bin/trn-artchk
/usr/bin/nntplist
/usr/lib/trn
/usr/man/man1/trn.1
/usr/man/man1/Pnews.1
/usr/man/man1/Rnmail.1
/usr/man/man1/newsetup.1
/usr/man/man1/newsgroups.1
%config /etc/X11/wmconfig/trn

%changelog
* Wed Sep 02 1998 Michael Maher <mike@redhat.com>
- added buildroot
- updated spec file

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Dec 30 1997 Erik Troan <ewt@redhat.com>
- SIGTSTP handler was flaky, which made ^Z fail w/ built against glibc
- added a wmconfig entry

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc 

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>
- some of the files in /usr/bin wrre 647, which makes no sense.

